Package tigase.db.derby

## Class MsgBroadcastRepositoryStoredProcedures

- java.lang.Object
- - tigase.db.derby.MsgBroadcastRepositoryStoredProcedures

-     public class MsgBroadcastRepositoryStoredProcedures
      extends java.lang.Object

  Created by andrzej on 24.03.2017.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MsgBroadcastRepositoryStoredProcedures()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addMessage​(java.lang.String msgId, java.sql.Timestamp expired, java.lang.String msg)` |
    `static void` | `addMessageRecipient​(java.lang.String msgId, java.lang.String jid)` |
    `static void` | `getMessageRecipients​(java.lang.String msgId, java.sql.ResultSet[] data)` |
    `static void` | `getMessages​(java.sql.Timestamp expired, java.sql.ResultSet[] data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MsgBroadcastRepositoryStoredProcedures

          public MsgBroadcastRepositoryStoredProcedures()

  - ### Method Detail

    - #### addMessage

          public static void addMessage​(java.lang.String msgId,
                                        java.sql.Timestamp expired,
                                        java.lang.String msg)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addMessageRecipient

          public static void addMessageRecipient​(java.lang.String msgId,
                                                 java.lang.String jid)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMessageRecipients

          public static void getMessageRecipients​(java.lang.String msgId,
                                                  java.sql.ResultSet[] data)
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getMessages

          public static void getMessages​(java.sql.Timestamp expired,
                                         java.sql.ResultSet[] data)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`